<?php
/* @var $this HoursController */
/* @var $model Hours */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'hours-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'date'); ?>
		<?php echo $form->textField($model,'date'); ?>
		<?php echo $form->error($model,'date'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'ID_timet'); ?>
		<?php echo $form->textField($model,'ID_timet'); ?>
		<?php echo $form->error($model,'ID_timet'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'week_day'); ?>
		<?php echo $form->textField($model,'week_day',array('size'=>15,'maxlength'=>15)); ?>
		<?php echo $form->error($model,'week_day'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'time_start'); ?>
		<?php echo $form->textField($model,'time_start'); ?>
		<?php echo $form->error($model,'time_start'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'time_end'); ?>
		<?php echo $form->textField($model,'time_end'); ?>
		<?php echo $form->error($model,'time_end'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'lesson'); ?>
		<?php echo $form->textField($model,'lesson',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'lesson'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'trainer'); ?>
		<?php echo $form->textField($model,'trainer'); ?>
		<?php echo $form->error($model,'trainer'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'trainer_alt'); ?>
		<?php echo $form->textField($model,'trainer_alt'); ?>
		<?php echo $form->error($model,'trainer_alt'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'ID_kids'); ?>
		<?php echo $form->textField($model,'ID_kids'); ?>
		<?php echo $form->error($model,'ID_kids'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'surname'); ?>
		<?php echo $form->textField($model,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'surname'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'present'); ?>
		<?php echo $form->textField($model,'present'); ?>
		<?php echo $form->error($model,'present'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'tryout'); ?>
		<?php echo $form->textField($model,'tryout'); ?>
		<?php echo $form->error($model,'tryout'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'notes'); ?>
		<?php echo $form->textField($model,'notes'); ?>
		<?php echo $form->error($model,'notes'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->