<?php
/* @var $this HoursController */
/* @var $sem Semsters */

$this->breadcrumbs=array(
	'Generate Main Script'=>array('generate'),
  'Show Week'=>array('showWeekHours'),
);

$this->menu=array(
	array('label'=>'List Hours', 'url'=>array('index')),
	array('label'=>'Create Hours', 'url'=>array('create')),
  array('label'=>'Manage Hours', 'url'=>array('admin')),
  array('label'=>'Show Week', 'url'=>array('showWeekHours')),
  array('label'=>'Generate Hours', 'url'=>array('generate')),
);
?>

<h1>Show Hours Script per Semester</h1>
<?php
    $i = 0;
    $date = $startDay;    
    $end_date = date('Y-m-d', strtotime("+14 day", strtotime($date)));
    $dni = ['pondelok', 'utorok', 'streda', 'štvrtok', 'piatok', 'sobota', 'nedela' ];
    $hodiny = Yii::app()->helper->getHours();;     
?>

<table style="border: solid 1px #ccc;">
<?php
    echo '<th> DEŇ </th>';  
      foreach ($hodiny as $hod) {
        echo '<th>'.substr($hod,0,5).'</th>';	
      }

    while (strtotime($date) < strtotime($end_date)) {
      if ((strtotime(date('Y-m-d')) <= strtotime($date)) && (strtotime("+7 day", strtotime(date('Y-m-d'))) > strtotime($date) )){
        echo '<tr style="background-color:#B2D1B2; padding: 3px; border: solid 1px #ccc;">';
      } else {
        echo '<tr style="background-color:#E8EBE8; padding: 3px; border: solid 1px #ccc;">';
      }
        
      //echo $dni[$i];
      echo '<td>'.$date.' '.substr($dni[$i],0,3).'</td>';
      $day = $thisWeek[$i];
        foreach ($hodiny as $hodina) {
          if (isset($day['hours'])){
          
            if (!(in_array($hodina, $day['hours']))){
              echo '<td style="border: solid 1px #ccc;" ></td>';
            } else {
              echo '<td style="border: solid 1px #ccc;" >'.CHtml::link('SHOW', array('hours/showHour', 'date'=>$date, 'time'=>str_replace(':', '-', $hodina))).'</td>';
            } 
          
          } else {
            echo '<td style="border: solid 1px #ccc;"></td>';
          }      
        }
      echo '</tr>';
      $date = date('Y-m-d', strtotime("+1 day", strtotime($date)));
      //echo $i;
      $i++;
      $i = $i % 7;
    }
?>
</table>
<br /><br />
<pre>
<?php
  //echo in_array('19:00:00',$thisWeek[0]['hours'] );  
  //print_r($free);
?>
</pre>