<?php
/* @var $this MetadataController */
/* @var $model Metadata */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'metadata-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'refTO'); ?>
		<?php echo $form->textField($model,'refTO',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'refTO'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'refID'); ?>
		<?php echo $form->textField($model,'refID'); ?>
		<?php echo $form->error($model,'refID'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dataNAME'); ?>
		<?php echo $form->textField($model,'dataNAME',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($model,'dataNAME'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'data'); ?>
		<?php echo $form->textField($model,'data'); ?>
		<?php echo $form->error($model,'data'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->