<?php
/* @var $rozvrhy Timetable */
/* @var $prihlasenia Enlist */
?>
<style type="text/css">

    table, th, td {
        border: 1px solid gray;
    }
</style>
<div class='timetables'>
    <?php
    //print_r($rozvrhy);     
    //print_r($prihlasenia);

    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
    $hodiny = ['09:00:00', '10:00:00', '11:00:00', '12:00:00', '13:00:00', '14:00:00', '15:00:00', '16:00:00', '17:00:00', '18:00:00', '19:00:00', '20:00:00'];

    function numberOfEnl($id_tt, $id_gym) {
        //print_r($data);
        $count = Newenlist::model()->countByAttributes(array(
            'ID_timet' => $id_tt
        ));
        $from = Gyms::model()->findByPK($id_gym);

        return $count . '/' . $from->capacity;
    }
    
    ?>
    <table>
        <tr>
            <th></th>
            <?php
            foreach ($dni as $day) {
                echo '<th>' . $day . '</th>';
            }
            ?>
        </tr>

        <?php
        foreach ($hodiny as $hour) {
            echo '<tr>';
            echo '<td>' . $hour . '</td>';
            for ($i = 1; $i < 8; $i++) {
                $toprint = "";
                foreach ($rozvrhy as $single) {
                    if (($single->time_start == $hour) && ($single->week_day == $i)) {

                        if ($single->trainer_alt != NULL) {
                            $t2 = Users::model()->findByPk($single->trainer_alt);
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ', ' . $t2->name . ' ' . $t2->surname;
                        } else {
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                        }

                        $toprint .= CHtml::link('<span style="text-transform: uppercase;"><strong>' . $single->lesson . '</strong></span><br />' . $trainer_str, array('newtimetable/update', 'id' => $single->ID)) . ' <br />Zoznam a prihlásenie:<br />';
                        $toprint .= CHtml::link(numberOfEnl($single->ID, $single->gym_ID), array('newenlist/admincreate', 'tid' => $single->ID)) . ' <br /><br />';
                    }
                }
                if ($toprint != "") {
                    echo '<td>' . $toprint . '</td>';
                } else {
                    echo '<td></td>';
                }
            }
            echo '</tr>';
        }
        ?>
    </table>
</div>