<?php
/* @var $this QueryController */
/* @var $model Query */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'query-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>

	
        <div class="row">
            <?php
            echo "Dieťa: <br />";
            $kids = Kids::model()->findAll(array('order' => 'surname'));
            $kidsList = CHtml::listData($kids, 'ID', function($kids) {
                        return Chtml::encode($kids->surname . ' ' . $kids->name);
                    });
            echo $form->dropDownList($model, 'kid_ID', $kidsList);
            ?>	
        </div>

        <div class="row">
            <?php
            echo "Rozvrh: <br />";
            $tt = Timetable::model()->findAll();
            $ttList = CHtml::listData($tt, 'ID', 'label');
            if (isset($_GET['timet_ID'])) {
                echo $form->dropDownList($model, /* $_GET['ID_timet'], */ 'timet_ID', $ttList, array('options' => array($_GET['ID_timet'] => array('selected' => true))));
            } else {
                echo $form->dropDownList($model, /* $_GET['ID_timet'], */ 'timet_ID', $ttList);
            }
            ?>	
        </div>     

	<div class="row">
		<?php echo $form->labelEx($model,'priority'); ?>
		<?php echo $form->textField($model,'priority',array('size'=>1,'maxlength'=>1)); ?>
		<?php echo $form->error($model,'priority'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'notes'); ?>
		<?php echo $form->textField($model,'notes',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'notes'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvoriť' : 'Uložiť'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->