<?php
/* @var $rozvrhy Timetable */
/* @var $prihlasenia Enlist */
?>
<style type="text/css">

    table, th, td {
        border: 1px solid gray;
    }
</style>
<div class='timetables'>
    <?php
    //print_r($rozvrhy);     
    //print_r($prihlasenia);

    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
    $hodiny = Yii::app()->helper->getHours();

    function numberOfEnl($id_tt, $id_gym) {
        //print_r($data);
        $count = Query::model()->countByAttributes(array(
            'timet_ID' => $id_tt
        ));

        if ($count > 2) {
            return '<span style="color: red; font-size: 20px;">' . $count . '</span>'; // nebolo by zle pridat css triedy ako "warning, error, alert, message, ... aby som ich mohol pouzivat
        } else {
            return $count;
        }
    }
    ?>
    <table>
        <tr>
            <th></th>
            <?php
            foreach ($dni as $day) {
                echo '<th>' . $day . '</th>';
            }
            ?>
        </tr>

        <?php
        foreach ($hodiny as $hour) {
            echo '<tr>';
            echo '<td>' . $hour . '</td>';
            for ($i = 1; $i < 8; $i++) {
                $toprint = "";
                foreach ($rozvrhy as $single) {
                    if (($single->time_start == $hour) && ($single->week_day == $i)) {

                        if ($single->trainer_alt != NULL) {
                            $t2 = Users::model()->findByPk($single->trainer_alt);
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ', ' . $t2->name . ' ' . $t2->surname;
                        } else {
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                        }                        
                        
                        $toprint .= CHtml::link('<span style="text-transform: uppercase;">' . $single->lesson . '</span><br />' . $trainer_str, array('timetable/update', 'id' => $single->ID)) . ' <br />Počet záujemcov:<br />' . numberOfEnl($single->ID, $single->gym_ID) . ' <br /><br />';
                    }
                }
                if ($toprint != "") {
                    echo '<td>' . $toprint . '</td>';
                } else {
                    echo '<td></td>';
                }
            }
            echo '</tr>';
        }
        ?>
    </table>
</div>