<?php
/* @var $this UsersController */
/* @var $model Users */
/* @var $form CActiveForm */
?>

<?php
    foreach(Yii::app()->user->getFlashes() as $key => $message) {
        echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
    }
?>

<h1>Moje nastavenia</h1><br />

<div class="form">

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Users_name,#Users_surname').change(function () {
    		//alert('here');
    		$('#Users_user_name').val( $('#Users_surname').val() + $('#Users_name').val() ) ;
		});
    $(document).ready(function () {
      $('#Users_user_name').val( $('#Users_surname').val() +'_'+ $('#Users_name').val() ) ;  
    });
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'users-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>


	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'surname'); ?>
		<?php echo $form->textField($model,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'surname'); ?>
	</div>

		<?php echo $form->hiddenField($model,'user_name',array('size'=>45,'maxlength'=>45)); ?>
  
	<div class="row">
		<?php echo $form->labelEx($model,'password'); ?>
		<?php echo $form->passwordField($model,'password',array('size'=>10,'maxlength'=>10)); ?>
		<?php echo $form->error($model,'password'); ?>

        <input size="10" maxlength="10" name="Users[password2]" id="Users_password2" type="password" value="">

        <p>Zmena hesla (prosím zadajte dvakrát rovnaké heslo).</p>
        </div>

	<div class="row">
		<?php echo $form->labelEx($model,'email'); ?>
		<?php echo $form->textField($model,'email',array('size'=>45,'maxlength'=>45, 'disabled'=>'disabled')); ?>
		<?php echo $form->error($model,'email'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'phone_num'); ?>
		<?php echo $form->textField($model,'phone_num',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'phone_num'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'address'); ?>
		<?php echo $form->textField($model,'address',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'address'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'VS'); ?>
		<?php echo $form->textField($model,'VS',array('size'=>45,'maxlength'=>45, 'disabled'=>'disabled')); ?>
		<?php echo $form->error($model,'VS'); ?>
	</div>

		<?php echo $form->hiddenField($model,'secure_hash'); ?>
                <?php echo $form->hiddenField($model, 'rights_ID'); ?>
		<?php echo $form->hiddenField($model,'notes'); ?>
    
	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>
  
  <p class="note">Polia označené <span class="required">*</span> sú povinné.</p>

<?php $this->endWidget(); ?>

</div><!-- form -->