<?php
/**
 * This is the model class for table "hours".
 *
 * The followings are the available columns in table 'hours':
 * @property integer $ID
 * @property string $date
 * @property integer $ID_timet
 * @property string $week_day
 * @property string $time_start
 * @property string $time_end
 * @property string $lesson
 * @property integer $trainer
 * @property integer $trainer_alt
 * @property integer $ID_kids
 * @property string $name
 * @property string $surname
 * @property integer $present
 * @property integer $tryout
 * @property string $notes
 * @property string $cur_timestamp
 */
//echo '<pre>';
//print_r($hours);
//echo '</pre>';
//print_r($now);

foreach (Yii::app()->user->getFlashes() as $key => $message) {
    echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
}
$dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
?>

<h1>Odhlásenie sa z hodiny</h1><br />

<p>V nasledujúcom zozname sú zobrazené hodiny, z ktorých je ešte možné vaše dieťa odhlásiť. <br />
Prosím vyberte hodiny z ktorých si želáte odhlásiť:</p>

<form method="post" action="index.php?r=sprava/potvrdOdhlasenie" name="delete_" id="delete_">
    <?php 
    foreach ($hours as $hour){
        echo('<input type="checkbox" name="delete[]" value="'.$hour->ID.'"/>'.$dni[$hour->week_day - 1]. ' ' .$hour->date.' '.$hour->time_start.'<br />');
    }
    ?>
     
    <br />
    <input type="submit" name="zelanie" value="Zmaž označené hodiny" />
</form>