<?php
/* @var $this TermsController */
/* @var $model Terms */

$this->breadcrumbs=array(
	'Terms'=>array('index'),
	'Manage',
);

$this->menu=array(
	//array('label'=>'List Terms', 'url'=>array('index')),
	array('label'=>'Vytvoriť záznam manuálne', 'url'=>array('create')),
);


Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#terms-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Súhlas užívateľov s obchodnými podmienkami</h1>

<?php echo CHtml::link('Rozšírené vyhladávanie','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'terms-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'timestamp',
		'parent_ID',
		'kid_ID',
		'agreement_type',
		'agreement_value',
                array(
                    'name' => 'parent_name',
                    'header' => 'Meno Rodiča',
                    'value' => '$data->p_ID->name'
                ),  
                array(
                    'name' => 'parent_surname',
                    'header' => 'Priezvisko Rodiča',
                    'value' => '$data->p_ID->surname'
                ),  
                array(
                    'name' => 'kid_name',
                    'header' => 'Meno Dieťaťa',
                    'value' => '$data->k_ID->name'
                ),  
                array(
                    'name' => 'kid_surname',
                    'header' => 'Priezvisko Dieťaťa',
                    'value' => '$data->k_ID->surname'
                ),  
                array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
