<?php
$this->breadcrumbs=array(
	'Klienti'=>array('zobrazKlientov'),
  'Deti'=>array('zobrazDeti'),
  'Dieta',
);


//print_r($data);

?>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

<?php
Yii::app()->clientScript->registerScript('DatePicker', "
  
    $( '#Kids_birthday' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        minDate: '-18Y', 
        maxDate: '+1D', 
        dateFormat: 'dd.mm.yy',
    });
  
");
?>

<?php
/* @var $this KidsController */
/* @var $model Kids */
/* @var $form CActiveForm */
?>

<div class="form">

<?php
  //print_r($model->lesson);
  //print_r($this);
  //print_r($form);
?>

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Kids_name,#Kids_surname').change(function () {
    		//alert('here');
    		$('#Kids_label').val( $('#Kids_name').val() +'_'+ $('#Kids_surname').val() ) ;
		});
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'kids-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($data); ?>

	<div class="row">
		<?php 
			echo "Rodič: ";	
			$parents = Users::model()->findAllByAttributes(array('rights_ID'=>2),array('order'=>'surname ASC'));//findAll(); 	
                        $parentList = CHtml::listData($parents, 'ID', function($parents){
                                return CHtml::encode($parents->surname.' '.$parents->name);
                        });                       
			//print_r($parents);
			echo $form->dropDownList($data, 'parrent_ID', $parentList);
		?>	
		<?php //echo $form->labelEx($data,'parrent_ID'); ?>
		<?php //echo $form->textField($data,'parrent_ID'); ?>
		<?php //echo $form->error($data,'parrent_ID'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'name'); ?>
		<?php echo $form->textField($data,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'surname'); ?>
		<?php echo $form->textField($data,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'surname'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'birthday'); ?>
		<?php echo $form->textField($data,'birthday',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'birthday'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'notes'); ?>
		<?php //echo $form->textField($data,'notes'); ?>
    <?php echo $form->textArea($data,'notes', array('rows'=>"5", 'cols'=>"50")); ?>		
    <?php echo $form->error($data,'notes'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'tryout'); ?>
		<?php //echo $form->textField($data,'tryout',array('size'=>5,'maxlength'=>5)); ?>
    <?php echo $form->checkBox($data,'tryout',array()); ?>
		<?php echo $form->error($data,'tryout'); ?>
	</div>

	<div class="row"> 
		<?php	echo "Frekvencia návštev: "; ?>
		<select name="Kids[frequency]" id="Kids_frequency">
			<option <?php if ($data->frequency == '1'){ echo "selected";} ?> value="1">Jeden krát týždenne</option>
			<option <?php if ($data->frequency == '2'){ echo "selected";} ?> value="2">Dva krát týždenne</option>
		</select>	
		<?php //echo $form->labelEx($data,'frequency'); ?>
		<?php //echo $form->textField($data,'frequency',array('size'=>45,'maxlength'=>45)); ?>
		<?php //echo $form->error($data,'frequency'); ?>
	</div>

	<div class="row">
		<?php	echo "Hodina: "; ?>
		<select name="Kids[lesson]" id="Kids_lesson">
			<option <?php if ($data->lesson == 'zabky'){ echo "selected";} ?> value="zabky">Žabky</option>
			<option <?php if ($data->lesson == 'hrosikovia'){ echo "selected";} ?> value="hrosikovia">Hrošíkovia</option>
			<option <?php if ($data->lesson == 'orangutani'){ echo "selected";} ?> value="orangutani">Orangutani</option>
			<option <?php if ($data->lesson == 'zajacikovia'){ echo "selected";} ?> value="zajacikovia">Zajačikovia</option>
			<option <?php if ($data->lesson == 'gepardi'){ echo "selected";} ?> value="gepardi">Gepardi</option>
			<option <?php if ($data->lesson == 'levy'){ echo "selected";} ?> value="levy">Levy</option>
		</select>			
		<?php //echo $form->labelEx($data,'lesson'); ?>
		<?php //echo $form->textField($data,'lesson',array('size'=>45,'maxlength'=>45)); ?>
		<?php //echo $form->error($data,'lesson'); ?>
	</div>

  <div class="row">
      <?php echo $form->labelEx($data,'refund'); ?>
      <?php echo $form->textField($data,'refund'); ?>
      <?php echo $form->error($data,'refund'); ?>
  </div>

	<div class="row">
		<?php echo $form->labelEx($data,'label'); ?>
		<?php echo $form->textField($data,'label',array('size'=>50,'maxlength'=>50)); ?>
		<?php echo $form->error($data,'label'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'dlgt1'); ?>
		<?php echo $form->textField($data,'dlgt1'); ?>
		<?php echo $form->error($data,'dlgt1'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'dlgt2'); ?>
		<?php echo $form->textField($data,'dlgt2'); ?>
		<?php echo $form->error($data,'dlgt2'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($data->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->
<?php
  foreach ($enl as $val) {
    echo CHtml::link('Enlist :'.$val->ID, array('manager/enlist', 'id'=>$val->ID)).'<br />';	
  }
?>