<?php
/* @var $this EnlistController */
/* @var $model Enlist */
/* @var $form CActiveForm */
?>

<div class="form">

    <?php
    $form = $this->beginWidget('CActiveForm', array(
        'id' => 'enlist-form',
        // Please note: When you enable ajax validation, make sure the corresponding
        // controller action is handling ajax validation correctly.
        // There is a call to performAjaxValidation() commented in generated controller code.
        // See class documentation of CActiveForm for details on this.
        'enableAjaxValidation' => false,
    ));
    ?>

        <?php echo $form->errorSummary($model); ?>

    <div class="row">
        <?php
        echo "Dieťa: <br /> ";
        $kids = Kids::model()->findAll(array('order' => 'surname'));
        $kidsList = CHtml::listData($kids, 'ID', function($kids) {
                    return Chtml::encode($kids->surname . ' ' . $kids->name);
                });
        echo $form->dropDownList($model, 'ID_kid', $kidsList);
        ?>	
        <?php //echo $form->labelEx($model,'ID_kid'); ?>
        <?php //echo $form->textField($model,'ID_kid');  ?>
        <?php //echo $form->error($model,'ID_kid');  ?>
    </div>

    <div class="row">
        <?php
        echo "Hodina v rozvrhu: <br />";
        $tt = Timetable::model()->findAll(array('order' => 'week_day'));
        $ttList = CHtml::listData($tt, 'ID', 'label');
        //print_r($parentList);
        if (isset($_GET['ID_timet'])) {
            echo $form->dropDownList($model, /* $_GET['ID_timet'], */ 'ID_timet', $ttList, array('options' => array($_GET['ID_timet'] => array('selected' => true))));
        } else {
            echo $form->dropDownList($model, /* $_GET['ID_timet'], */ 'ID_timet', $ttList);
        }
        ?>	
        <?php //echo $form->labelEx($model,'ID_timet'); ?>
        <?php //echo $form->textField($model,'ID_timet'); ?>
        <?php //echo $form->error($model,'ID_timet');  ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'notes'); ?>
        <?php echo $form->textField($model, 'notes'); ?>
        <?php echo $form->error($model, 'notes'); ?>
    </div>

    <div class="row buttons">
<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvoriť' : 'Uložiť'); ?>
    </div>

<?php $this->endWidget(); ?>

</div><!-- form -->