<?php
/* @var $this EnlistController */
/* @var $model Enlist */

$this->breadcrumbs = array(
    'Enlists' => array('index'),
    'Manage',
);

$this->menu = array(
    //array('label' => 'List Enlist', 'url' => array('index')),
    array('label' => 'Manuálne vytvorenie zápisu', 'url' => array('create')),
    //array('label' => 'ROZVRH - Tabuľka', 'url' => array('/users/rozvrh/admin')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#enlist-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Zápisy detí na kurzy</h1>

<p>
</p>

<?php echo CHtml::link('Rozšírené vyhľadávanie', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'enlist-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'ID_kid',
        array( //http://www.yiiframework.com/wiki/281/searching-and-sorting-by-related-model-in-cgridview/ (zoradovat?)
            'name' => 'kid_name_search',
            'header' => 'Meno dieťaťa',
            'value' => '$data->iDK->name'
        ),
        array(
            'name' => 'kid_surname_search',
            'header' => 'Priezvisko dieťaťa',
            'value' => '$data->iDK->surname'
        ),
        /*    array(
          'name'=>'Kid Label',
          'value' => '4',
          ), */
        //'ID_timet',
        array(
            'name' => 'lesson_s',
            'header' => 'Trieda',
            'value' => '$data->iDTimet->lesson'        ),
        array(
            'name' => 'day_s',
            'header' => 'Deň',
            'value' => '$data->iDTimet->week_day'
        ),
        array(
            'name' => 'time_start_s',
            'header' => 'Začiatok hodiny',
            'value' => '$data->iDTimet->time_start'
        ),
/*        array(
            'name' => 'Rozvrh Deň',
            'value' => function ($data) {
                $tt = Timetable::model()->findByPk($data->ID_timet);
                $week = array('Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa');
                return $week[$tt->week_day - 1];
            },
                    'filter' => true,
                    'sortable' => false,
                ),
                array(
                    'name' => 'Rozvrh Čas',
                    'value' => function ($data) {
                        $tt = Timetable::model()->findByPk($data->ID_timet);
                        return substr($tt->time_start, 0, -3) . '-' . substr($tt->time_end, 0, -3);
                    },
                    'filter' => true,
                    'sortable' => false,
                ),*/
                //'notes',
                array(
                    'class' => 'CButtonColumn',
                ),
            ),
        ));
        ?>
