<?php /* @var $this Controller */ ?>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="language" content="en">

	<!-- blueprint CSS framework -->
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/screen.css" media="screen, projection">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/print.css" media="print">
	<!--[if lt IE 8]>
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/ie.css" media="screen, projection">
	<![endif]-->

	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/main.css">
	<link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->request->baseUrl; ?>/css/form.css">

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>
</head>

<body>

<div class="container" id="page">

	<div id="header">
		<div id="logo"> <img src=http://bighuggym.com/images/logo-circle.png alt="logo" width="80px" /> <?php echo CHtml::encode(Yii::app()->name); ?></div>
	</div><!-- header -->

	<div id="mainmenu">
		<?php $this->widget('zii.widgets.CMenu',array(
			'items'=>array(
          //array('label'=>'Domov', 'url'=>array('/site/index'), 'visible'=>!Yii::app()->user->isGuest),
			    array('label'=>'About', 'url'=>array('/site/page', 'view'=>'about'), 'visible'=>Yii::app()->user->isGuest),
	 		    //array('label'=>'Kontakt', 'url'=>array('/site/contact'), 'visible'=>Yii::app()->user->isGuest),
			    //array('label'=>'Rights', 'url'=>array('/rights'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Users', 'url'=>array('/users/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Kids', 'url'=>array('/kids/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Enlists', 'url'=>array('/enlist/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Queries', 'url'=>array('/query/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Hours', 'url'=>array('/hours/admin'), 'visible'=>!Yii::app()->user->isGuest),                    
        	array('label'=>'Payments', 'url'=>array('/payments/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Gyms', 'url'=>array('/gyms/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'ROZVRH', 'url'=>array('/users/rozvrh/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	array('label'=>'Trimester', 'url'=>array('/semesters/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'Timetable', 'url'=>array('/timetable/admin'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Holiday', 'url'=>array('/holiday/admin'), 'visible'=>!Yii::app()->user->isGuest),
          array('label'=>'New Trimester', 'url'=>array('/site/newTri'), 'visible'=>!Yii::app()->user->isGuest),
        	//array('label'=>'Registrácia', 'url'=>array('/users/register'), 'visible'=>!Yii::app()->user->isGuest)
        	array('label'=>'Prihlásenie', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),				
        	array('label'=>'Log out ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest),
			),
		)); ?>
    
    
    
	</div><!-- mainmenu -->
	<?php if(isset($this->breadcrumbs)):?>
		<?php $this->widget('zii.widgets.CBreadcrumbs', array(
			'links'=>$this->breadcrumbs,
		)); ?><!-- breadcrumbs -->
	<?php endif?>

	<?php echo $content; ?>

	<div class="clear"></div>

	<div id="footer">
		Copyright &copy; <?php echo date('Y'); ?> by BigHugGym & JaOnMi.<br/>
		All Rights Reserved.<br/>
		<!--<?php echo Yii::powered(); ?>-->
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>
