<?php
/* @var $this UsersController */
/* @var $model Users */
/* @var $form CActiveForm */
?>

<div class="form">

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Users_name,#Users_surname').change(function () {
    		//alert('here');
    		$('#Users_user_name').val( $('#Users_surname').val() + $('#Users_name').val() ) ;
		});
    $(document).ready(function () {
      $('#Users_user_name').val( $('#Users_surname').val() +'_'+ $('#Users_name').val() ) ;    
    });
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'users-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($data); ?>

	<div class="row">
		<?php echo $form->labelEx($data,'name'); ?>
		<?php echo $form->textField($data,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'surname'); ?>
		<?php echo $form->textField($data,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'surname'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'user_name'); ?>
		<?php echo $form->textField($data,'user_name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'user_name'); ?>
	</div>
  
	<div class="row">
		<?php echo $form->labelEx($data,'password'); ?>
		<?php echo $form->passwordField($data,'password',array('size'=>10,'maxlength'=>10)); ?>
		<?php echo $form->error($data,'password'); ?>
	<p>Zmena hesla</p>
  </div>

	<div class="row">
		<?php
			echo "Úroveň oprávnení: "; 	
			$rights = Rights::model()->findAll(); 	
			$rightsList = CHtml::listData($rights, 'ID', 'right_name');
			echo $form->dropDownList($data, 'rights_ID', $rightsList);
		?>	
		<?php //echo $form->labelEx($data,'rights_ID'); ?>
		<?php //echo $form->textField($data,'rights_ID'); ?>
		<?php //echo $form->error($data,'rights_ID'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'email'); ?>
		<?php echo $form->textField($data,'email',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'email'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'phone_num'); ?>
		<?php echo $form->textField($data,'phone_num',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'phone_num'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'address'); ?>
		<?php echo $form->textField($data,'address',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'address'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'notes'); ?>
		<?php echo $form->textField($data,'notes'); ?>
		<?php echo $form->error($data,'notes'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'VS'); ?>
		<?php echo $form->textField($data,'VS',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($data,'VS'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($data,'secure_hash'); ?>
		<?php echo $form->textField($data,'secure_hash',array('size'=>32,'maxlength'=>32)); ?>
		<?php echo $form->error($data,'secure_hash'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($data->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->