<?php
/* @var $rozvrhy Timetable */
/* @var $prihlasenia Enlist */
$this->menu = array(
    array('label' => 'Manuálne vytvorenie hodiny v rozvrhu v novom trimestri', 'url' => array('/newtimetable/create')),
    array('label' => 'Editovanie rozvrhu hodín v novom trimestri', 'url' => array('/newtimetable/admin')),    
    array('label' => 'Manuálne vytvorenie zápisu v novom trimestri', 'url' => array('/newenlist/create')),
    array('label' => 'Editovanie zápisov v novom trimestri', 'url' => array('/newenlist/admin')),
);
?>

<style type="text/css">

    table, th, td {
        border: 1px solid gray;
    }
</style>

<h1>Nový trimester</h1>
<h2>Rozvrh hodín a Zápisy detí na kurzy pre nový trimester</h2>

<div class='timetables'>
    <?php
    //print_r($rozvrhy);     
    //print_r($prihlasenia);

    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
    $hodiny = Yii::app()->helper->getHours();
    //$hodiny = ['09:00:00', '10:00:00', '11:00:00', '13:00:00', '14:00:00', '15:00:00', '16:00:00', '17:00:00', '18:00:00', '19:00:00', '20:00:00'];
    $sob = ['09:00:00', '10:00:00', '11:00:00', '13:00:00', '14:00:00', '15:00:00', '16:00:00', '17:00:00', '18:00:00', '19:00:00', '20:00:00'];

    function numberOfEnl($id_tt, $id_gym) {
        //print_r($data);
        $count = Newenlist::model()->countByAttributes(array(
            'ID_timet' => $id_tt
        ));
        $from = Gyms::model()->findByPK($id_gym);

        return $count . '/' . $from->capacity;
    }
    ?>
    <table>
        <tr>
            <th></th>
            <?php
            foreach ($dni as $day) {
                echo '<th>' . $day . '</th>';
            }
            ?>
        </tr>

        <?php
        foreach ($hodiny as $hour) {
            echo '<tr>';
            echo '<td>'; // . substr($hour, 0, -3);

                    echo substr($hour, 0, -3);


            echo '</td>';
            
            for ($i = 1; $i < 8; $i++) {
                $toprint = "";
                foreach ($rozvrhy as $single) {
                    if (($single->time_start == $hour) && ($single->week_day == $i)) {

                        if ($single->trainer_alt != NULL) {
                            $t2 = Users::model()->findByPk($single->trainer_alt);
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ', ' . $t2->name . ' ' . $t2->surname;
                        } else {
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                        }
//                                if(($i == 6) and ($hour == '09:00:00' or $hour == '10:00:00' or $hour == '11:00:00')){
//                                    $toprint .= '<span style="color: red">'.substr($hour, 0, -3).'</span><br />';    
//                                }
                        $toprint .= CHtml::link('<span style="text-transform: uppercase;"><strong>' . $single->lesson . '</strong></span>', array('newtimetable/update', 'id' => $single->ID)) .'<br />' . $trainer_str;
                        $toprint .= CHtml::link('<br />Zoznam a prihlásenie:<br />'.numberOfEnl($single->ID, $single->gym_ID), array('newenlist/admincreate', 'tid' => $single->ID)) . ' <br /><br />';
                    }
                }
                if ($toprint != "") {
                    echo '<td>' . $toprint . '</td>';
                } else {
                    echo '<td></td>';
                }
            }
            echo '</tr>';
        }
        ?>
    </table>
</div>