<?php
date_default_timezone_set('Europe/Bratislava');
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
//
//foreach ($set as $single) {
//    print_r($single);
//}
$des = array(
    'register_allowed' => 'Povolenie registracii verejnosti',
    'parent_choice' => 'deprecated',
    'new_trim_allowed' => 'Povolenie rodicom vybrat si z troch moznosti pri prechode do dalsieho trimestra',
    'new_trim_timetable_change_short' => 'Povolenie vyberu a potvrdenia pre uzivatelov ktori si vybrali zmenu rozvrhu pre prechode do dalsieho trimestra',
    'save_new_register_to_newenlist' => 'Ukladanie novo-registrovanych uzivatelov do noveho rozvrhu (pri dlhsom prechode trimestrov)',
);
?>

<!--<table border="1">
    <thead>
        <tr>
            <th>Názov kroku</th>
            <th>Funkcia</th>
            <th>Hodnota</th>
            <th>Cas upravy</th>
            <th></th>
        </tr>
    </thead>
    <tbody>-->
<?php
foreach ($set as $single) {
    switch ($single->type) {
        case 'register_allowed':
            $register_allowed = array(
                'data' => $single->data,
                'id' => $single->ID,
                'time' => $single->date
            );
            break;
        case 'parent_choice':
            break;
        case 'new_trim_allowed':
            $new_trim_allowed = array(
                'data' => $single->data,
                'id' => $single->ID,
                'time' => $single->date
            );
            break;
        case 'new_trim_timetable_change_short':
            $new_trim_timetable_change_short = array(
                'data' => $single->data,
                'id' => $single->ID,
                'time' => $single->date
            );
            break;
        case 'save_new_register_to_newenlist':
            $save_new_register_to_newenlist = array(
                'data' => $single->data,
                'id' => $single->ID,
                'time' => $single->date
            );
            break;
    }
    ?>
    <!--        <tr>
                <td><?php // echo $single->type ?></td>
                <td><?php // echo $des[$single->type] ?></td>
                <td><?php // echo $single->data ?></td>
                <td><?php // echo $single->date ?></td>
                <td></td>
            </tr>-->
    <?php
}
?>
<!--    </tbody>
</table>-->

<style>
table {
    border-collapse: collapse;
}

tr {
    border: 1px Solid Gray;
}
</style>

<h2>Proces prechodu trimestrov - verzia KRÁTKA (Zimné prádniny)</h2>
<p>Chronológia krokov, potrebných pre prechod trimestrov, medzi ktorými je krátka časové obdobie. 
Zapisuje do novych enlistov, pred skoncenim trimestra, k prekopirovaniu dochadza neskor ako v pripade dlheho.
Rodicia sa pri vybere zmeny v rozvrho zapisuju do newenlist.
</p>
<table border-top="1">
    <thead>
        <tr>
            <th>Názov kroku</th>
            <th>Aktuálne nastavenie</th>
            <th>Posledná zmena</th>
            <th>AKCIA</th>
            <th>Poznámky</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>1. Vyčistenie databáz a dát z predchádzajúceho prechodu.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '001'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 001-->
            <td><?php
                if (empty($data)) {
//                    echo CHtml::link('Potvrd uspesny krok', array('metadata/simpleUpdate', 'stepID' => '001'));
                    echo CHtml::link('<strong>ZMAŽ<strong>', array('settings/clearNewTriDB'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Zmaže vsetky nepotrebné dáta z predchádzajúceho prechodu trimestrov, vyčistí a pripraví systém na nasledujúce kroky.<i></td>
        </tr>
        <tr>
            <td>2. Záloha systému a všetkých databáz. Vykonáva správca systému.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '002'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 002-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď zálohovanie', array('metadata/simpleUpdateShort', 'stepID' => '002'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Krok nie je nutný ale odporúčaný. Je potrebné kontaktovať správcu systému.<i></td>
        </tr>
        <tr>
            <td>3. 1. mail rodičom (informácie ohľadom blížiaceho sa prechodu trimestrov).</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '003'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 003-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď odoslanie 1. mailu', array('metadata/simpleUpdateShort', 'stepID' => '003'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Je potrebné odoslať 1. informatívny mail rodičom. Emailové adresy vygenerujete cez <a href="/admin/index.php?r=users/massmail" target="_blank">Hromadný mail</a>. Samotný mail je lepšie odoslať z Gmailu a vygenerované adresy použiť v skytej kópp BCC.<i></td>
        </tr>
        <tr>
            <td>4. Zrušenie možnosti registrácie verejnosti.</td>
            <td><?php echo $register_allowed['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $register_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $register_allowed['id'])); ?></td>
            <td><i>Zastavenie registrácie verejnosti z <a href="/admin/index.php?r=site/register" target="_blank">webovej stránky</a>. Nastavenie je potrebné prepnúť do polohy "NO" (registrácia verejnosti bude vypnutá).<i></td>
        </tr>
        <tr> 
            <td>5. Prekopírovanie Aktuálneho rozvrhu do Nového rozvrhu.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '004'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 004-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('<strong>PREKOPÍRUJ<strong>', array('newtimetable/copy'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Prekopíruje dáta z Aktuálneho rozvrhu do Nového rozvrhu v rámci Nového trimestra. V prípade potreby je následne možné nový rozvrh upraviť v sekcii Nový trimester.<i><br /></td>
        </tr>
        <tr>
            <td>6. Zobrazenie výberu z troch možností v rodičovskom rozhraní.</td>
            <td><?php echo $new_trim_allowed['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $new_trim_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_allowed['id'])); ?></td>
            <td><i>Zmenou nastavenia bude v rodičovskom rozhraní zobrazený link pre výber z troch možností pokračovania. Nastavenie je potrebné prepnúť do polohy "YES" (rodičom bude zobrazený link na výber z troch možností pokračovania).<i></td>
        </tr>    
        <tr>
            <td>7. 2. mail rodičom (link pre výber z troch možností).</td>
            <td></td>
                        <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '005'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 005-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď odoslanie 2. mailu', array('metadata/simpleUpdateShort', 'stepID' => '005'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Je potrebné odoslať 2. mail rodičom s linkom pre výber z troch možností pokračovania. Emailové adresy vygenerujete cez <a href="/admin/index.php?r=users/massmail" target="_blank">Hromadný mail</a>. Samotný mail je lepšie odoslať z Gmailu a vygenerované adresy použiť v skytej kópp BCC. Link, ktorý je potrebné zadať v maili je: http://samorin.bighuggym.sk/admin/index.php?r=sprava/deti <i></td>
        </tr>
        <tr>
            <td>8. Zrušenie výberu z troch možností v rodičovskom rozhraní.</td>
            <td><?php echo $new_trim_allowed['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $new_trim_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_allowed['id'])); ?></td>
            <td><i>Zmenou nastavenia treba zrušiť rodičom možnosť vyberať z troch možností pokračovania. Nastavenie je potrebné prepnúť do polohy "NO" (link pre výber z troch možností pokračovania bude rodičom skrytý).<i></td>
        </tr>  
        <tr>
            <td>9. Obvolanie nereagujúcich rodičov.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '006'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 006-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď obvolanie', array('metadata/simpleUpdateShort', 'stepID' => '006'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>V tomto kroku je možné robiť manuálne zmeny do systému a administrátor môže zakliknúť potrebnú možnosť pre rodičov, ktorí nereagovali na emailovú výzvu.<i></td>
        </tr>        
        <tr>
            <td>9.5. Zobrazenie prechodu trimestra a ďaľších nastavení v rodičovskom rozhraní.(Ako krok 6)</td>
            <td><?php echo $new_trim_allowed['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $new_trim_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_allowed['id'])); ?></td>
            <td><i><strong>(nevyhnutný krok pred krokom č 10)</strong> Zmenou nastavenia bude v rodičovskom rozhraní zobrazený link pre výber zmeny v rozvrhu. Nastavenie je potrebné prepnúť do polohy "YES".<i></td>
        </tr>          
        <tr>
            <td>10. Zobrazenie možnosti výberu novej hodiny v rozvrhu v rodičovskom rozhraní.</td>
            <td><?php echo $new_trim_timetable_change_short['data']; ?></td>
            <td><?php echo 'Posledna zmena:  ' . $new_trim_timetable_change_short['time']; ?></td>
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_timetable_change_short['id'])); ?></td>
            <td><i>Rodičom je zobrazená už len možnosť prihlásenia sa na voľné hodiny v rozvrhu. Rodičom bude umožnené prihlásiť deti len do kurzov, ktoré vyhovujú veku dieťaťa. Nastavenie je potrebné prepnúť na "YES".<i></td>
        </tr>  
        <tr>
            <td>11. 3. mail rodičom, ktorí si vybrali zmenu (link pre registráciu na novú hodinu).</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '008'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 008-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď odoslanie 3. mailu', array('metadata/simpleUpdateShort', 'stepID' => '008'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Je potrebné odoslať 3. mail rodičom, ktorí si vybrali možnosť zmeny v rozvrhu. Emailové adresy vygenerujete tu <a href="/admin/index.php?r=users/massmailalt" target="_blank">Hromadný email ZMENA</a>. Samotný mail je lepšie odoslať z Gmailu a vygenerované adresy použiť v skytej kópp BCC. Link, ktorý je potrebné v maili zadať je: http://samorin.bighuggym.sk/admin/index.php?r=sprava/deti <i></td>
        </tr>
        <tr>
            <td>12. Zrušenie možnosti výberu novej hodiny z rovrhu v rodičovskom rozhraní.</td>
            <td><?php echo $new_trim_timetable_change_short['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $new_trim_timetable_change_short['time']; ?></td>
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_timetable_change_short['id'])); ?></td>
            <td><i>V rodičovskom rozhraní dôjde k vypnutiu zobrazenia možnosti vybrať si hodinu z rovrhu. Prepnúť na "NO".<i></td>
        </tr>
        <tr>
            <td>12.5. Zrušenie zobrazenia prechodu trimestra. (identicke ako 8. krok)</td>
            <td><?php echo $new_trim_allowed['data']; ?></td>
            <td><?php echo 'Posledná zmena:  ' . $new_trim_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $new_trim_allowed['id'])); ?></td>
            <td><i><strong>(nevyhnutný krok po kroku č 12)</strong>Zmenou nastavenia treba zrušiť rodičom možnosti prechodu trimestra(všetky možnosti). Nastavenie je potrebné prepnúť do polohy "NO".<i></td>
        </tr>  
        <tr>
            <td>13. Prekopírovanie Nového rozvrhu a nových enlistov do Aktuálneho rozvrhu a Aktuálnych enlistov. POZOR - nutné urobiť až po ukončení prebiehajúceho trimestra.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '007'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 007-->
            <td><?php
                if (empty($data)) {
//                    echo CHtml::link('Potvrd uspesny krok', array('metadata/simpleUpdateShort', 'stepID' => '001'));
                    echo CHtml::link('<strong>PREKOPÍRUJ<strong>', array('settings/moveNewOver'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Prekopíruje získané datá do databáz Aktuálneho trimestra, čo umožní spoločnú registráciu verejnosti, aj tých, ktorí neklikli (napr. počas prázdnin medzi trimestrami). POZOR - nutné urobiť až po ukončení prebiehajúceho trimestra.<i></td>
        </tr>        
        <tr>
            <td>14. Povolenie registrácie verejnosti.</td>
            <td><?php echo $register_allowed['data']; ?></td>
            <td><?php echo 'Posledna zmena:  ' . $register_allowed['time']; ?></td> <!--zaznam v settings-->
            <td><?php echo CHtml::link('<strong>ZMEŇ<strong>', array('settings/simpleUpdateShort', 'id' => $register_allowed['id'])); ?></td>
            <td><i>Opätovné povolenie registrácie verejnosti z <a href="/admin/index.php?r=site/register" target="_blank">webu</a>. Prepnúť na "YES".<i></td>
        </tr>     

        <tr>
            <td>15. Deaktivovanie užívateľov, ktorí nemají dieťa so Zápisom.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '009'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>                
            </td>
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď deaktiváciu užívateľov', array('metadata/simpleUpdateShort', 'stepID' => '009'));
                } else {
                    echo 'Akcia bola vykonaná.';
                }
                ?>
            </td>
            <td><i>Deaktivácia uživateľov, ktorých žiadne dieťa nepokračuje v cvičení v BHG. Deaktiváciu je možné urobiť v sekcii <a href="/admin/index.php?r=users/deactivateusers" target="_blank">Deaktivácia užívateľov.</a><i></td>
        </tr>  
        <tr>
            <td>16. Finálny krok: Generovanie hodín pre celý trimester.</td>
            <td></td>
            <td>
                <?php
                $data = Metadata::model()->findByAttributes(array(
                    'refTO' => 'trimesterStep',
                    'refID' => '009'
                ));
                if (!empty($data)) {
                    echo date('r', $data->data);
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td> <!--zaznam v meta 009-->
            <td><?php
                if (empty($data)) {
                    echo CHtml::link('Potvrď vygenerovanie hodín', array('metadata/simpleUpdateShort', 'stepID' => '009'));
                } else {
                    echo 'Akcia nebola vykonaná.';
                }
                ?>
            </td>
            <td><i>Generovanie hodín pre všetky deti s aktívnym zápisom pre celý trimester je možné vykonať v sekcii <a href="/admin/index.php?r=hours/generate" target="_blank">Generovanie hodín</a>. Generovanie hodín by malo prebehnúť cca týždeň pred začiatkom trimestra.<i></td>
        </tr>
        <td>17. Resetovanie formuláru prechodu trimestrov.</td>
            <td></td>
            <td></td>
            <td><?php echo CHtml::link('<strong>RESETUJ<strong>', array('settings/clearNewTriDB'));?></td>
            <td><i>POZOR! Resetovanie všetkých záznamov v tomto formulári po úspešnom prechode trimestrov. Reset POČAS prebiehajúceho prechodu trimestrov a nie až po jeho ukončení môže mať za následok nezvratnú stratu dát. <i></td>
        </tr>          
    </tbody>
</table>



