<?php

//print_r($_POST);

function numberOfEnl($id_tt, $id_gym, $adjust = array()) {
    $edit = 0;
    if (in_array($id_tt, $adjust)) {
        $tmp = array_count_values($adjust);
        $edit = $tmp[$id_tt];
    }
    $count = Enlist::model()->countByAttributes(array(
        'ID_timet' => $id_tt
    ));
    $count += $edit;
    $from = Gyms::model()->findByPK($id_gym);

    if (((int) $from->capacity - (int) $count) < 0) {
        return 0;
    } else
        return (int) $from->capacity - (int) $count;
    //return $count. '/'. $from->capacity;
}

function isFull($id_tt, $id_gym, $adjust = array()) {
    $edit = 0;
    if (in_array($id_tt, $adjust)) {
        $tmp = array_count_values($adjust);
        $edit = $tmp[$id_tt];
    }
    $count = Enlist::model()->countByAttributes(array(
        'ID_timet' => $id_tt
    ));
    $count += $edit;
    $from = Gyms::model()->findByPK($id_gym);
    $capacity = (int) $from->capacity;

    if ($count >= $capacity)
        return true;
    else
        return false;
}

if ($msg != NULL) {
    echo $msg;
    //echo '<br /><b>'.CHtml::link('>Späť<', array('sprava/novyRozvrh', "id"=>$child->ID),array('style'=>'color: red;')).'</b>'; 
} else {
    ?>

    <style>
        table, th, td {
            border: 1px solid #666 ;
            border-collapse: collapse;
        }
    </style>

    <form method="post" action="<?php echo Yii::app()->createUrl("sprava/novyRozvrhAlt", array('id' => $id)); ?>" id="zapis" name="zapis" >
        <div class='timetables'>
            <?php
            $dni = ['pondelok', 'utorok', 'streda', 'štvrtok', 'piatok', 'sobota', 'nedela'];
            $hodiny = $hodiny = Yii::app()->helper->getHours();
            ?>

            <h5>Aktuálne upravujete svoje dieťa: <?php echo $child->surname . ', ' . $child->name; ?></h5><br />
            <p>
                Z nasledujúceho týždenného rozvrhu hodín vyberte prosím 1 termín (prípadne 2 termíny), na ktorý chcete vaše dieťa v novom trimestri prihlásiť.
                Číslo za menom trénera udáva zostávajúci počet voľných miest v danom termíne.
                V prípade, že vyberiete viac ako dve možnosti, resp. žiadnu, nebude Váš výber uložený.
            </p>
            <table>
                <tr>
                    <th>Čas:</th>
                    <?php
                    foreach ($dni as $day) {
                        echo '<th width="104">' . $day . '</th>';
                    }
                    ?>
                </tr>

                <?php
                foreach ($hodiny as $hour) {
                    echo '<tr>';
                    echo '<td>' . substr($hour, 0, -3) . '</td>';
                    for ($i = 1; $i < 8; $i++) {
                        $toprint = "";
                        foreach ($rozvrhy as $single) {

                            if ($single->trainer_alt != NULL) {
                                $t2 = Users::model()->findByPk($single->trainer_alt);
                                $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ',<br />' . $t2->name . ' ' . $t2->surname;
                            } else {
                                $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                            }

                            if (($single->time_start == $hour) && ($single->week_day == $i)) {
                                if (count($single->enlists) >= $single->gym->capacity) {
                                    $dis = 'disabled';
                                } else {
                                    $dis = '';
                                }
                                $free = $single->gym->capacity - count($single->enlists);
                                if ($free < 0) {
                                    $free = 0;
                                }
                                //$toprint .= '<div style="padding: 5px 0px;"><input type="checkbox" ' . $dis . ' class="allcheckbox ' . $single->lesson . '" id="' . $single->ID . '" name="Enlist[]" value="' . $single->ID . '" >' . $single->lesson . '-' . $single->trainer0->surname . ', ' . $single->trainer0->name . ', ' . $free . '</div>';
                                $toprint .= '<div style="padding: 5px 0px;"><input type="checkbox" ' . $dis . ' class="allcheckbox ' . $single->lesson . '" id="' . $single->ID . '" name="Enlist[]" value="' . $single->ID . '" >' . $free.'<br /><span style="text-transform: uppercase; font-weight: bold">' . $single->lesson . '</span><br />' . $trainer_str . '</div>';
                            }
                        }
                        if ($toprint != "") {
                            echo '<td>' . $toprint . '</td>';
                        } else {
                            echo '<td></td>';
                        }
                    }
                    echo '</tr>';
                }
                ?>
            </table>
        </div>
        <input type="submit" value="Potvrdiť nový zápis" name="ulozit_rozvrh" id="ulozit_rozvrh"/>
    </form>

    <?php
}