<?php
/* @var $this KidsController */
/* @var $model Kids */
/* @var $form CActiveForm */
?>

<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>

<?php
Yii::app()->clientScript->registerScript('DatePicker', "
  
    $( '#Kids_birthday' ).datepicker({
        changeMonth: true,//this option for allowing user to select month
        changeYear: true, //this option for allowing user to select from year range
        minDate: '-18Y', 
        maxDate: '+1D', 
        dateFormat: 'dd.mm.yy',
    });
  
");
?>

<?php
    foreach(Yii::app()->user->getFlashes() as $key => $message) {
        echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
    } 
?>

<h1>Update Kids <?php echo $model->ID; ?></h1>

<div class="form">

<?php
  //print_r($model->lesson);
  //print_r($this);
  //print_r($form);
?>

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Kids_name,#Kids_surname').change(function () {
    		//alert('here');
    		$('#Kids_label').val( $('#Kids_surname').val() +'_'+ $('#Kids_name').val() ) ;
		});
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'kids-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'surname'); ?>
		<?php echo $form->textField($model,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'surname'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'birthday'); ?>
		<?php echo $form->textField($model,'birthday',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'birthday'); ?>
	</div>



	<div class="row">
    <?php echo $form->labelEx($model,'frequency'); ?> 
		<?php echo $form->textField($model,'frequency',array('size'=>45,'maxlength'=>45, 'disabled'=>'disabled')); ?>
	</div>

	<div class="row">
    <?php echo $form->labelEx($model,'lesson'); ?>
		<?php echo $form->textField($model,'lesson',array('size'=>45,'maxlength'=>45, 'disabled'=>'disabled')); ?>

	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'notes'); ?>
		<?php //echo $form->textField($model,'notes'); ?>
    <?php echo $form->textArea($model,'notes', array('rows'=>"5", 'cols'=>"50")); ?>		
    <?php echo $form->error($model,'notes'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dlgt1'); ?>
		<?php echo $form->textField($model,'dlgt1'); ?>
		<?php echo $form->error($model,'dlgt1'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'dlgt2'); ?>
		<?php echo $form->textField($model,'dlgt2'); ?>
		<?php echo $form->error($model,'dlgt2'); ?>
	</div>


 	<?php echo $form->hiddenField($model,'label',array('size'=>50,'maxlength'=>50)); ?>
  <?php echo $form->hiddenField($model,'parrent_ID'); ?>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->