<?php
/* @var $this UsersController */
/* @var $model Users */
/* @var $form CActiveForm */
?>

<div class="form">

<?php
    Yii::app()->clientScript->registerScript('Nametyper',"
		$('#Users_name,#Users_surname').change(function () {
    		//alert('here');
    		$('#Users_user_name').val( $('#Users_surname').val() + $('#Users_name').val() ) ;
		});
    ",CClientScript::POS_READY);
?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'users-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'surname'); ?>
		<?php echo $form->textField($model,'surname',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'surname'); ?>
	</div>

	<div class="row">
		<?php //echo $form->labelEx($model,'user_name'); ?>
		<?php echo $form->hiddenField($model,'user_name',array('size'=>45,'maxlength'=>45)); ?>
		<?php //echo $form->error($model,'user_name'); ?>
	</div>
  
	<div class="row">
		<?php echo $form->labelEx($model,'password'); ?>
		<?php echo $form->passwordField($model,'password',array('size'=>45,'maxlength'=>64)); ?>
		<?php echo $form->error($model,'password'); ?>
  </div>

	<div class="row">
		<?php
			echo "Úroveň oprávnení: <br />";  	
			$rights = Rights::model()->findAll(); 	
			$rightsList = CHtml::listData($rights, 'ID', 'right_name');
			echo $form->dropDownList($model, 'rights_ID', $rightsList);
		?>	
		<?php //echo $form->labelEx($model,'rights_ID'); ?>
		<?php //echo $form->textField($model,'rights_ID'); ?>
		<?php //echo $form->error($model,'rights_ID'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'email'); ?>
		<?php echo $form->textField($model,'email',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'email'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'phone_num'); ?>
		<?php echo $form->textField($model,'phone_num',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'phone_num'); ?>
	</div>
<!--
	<div class="row">
		<?php echo $form->labelEx($model,'address'); ?>
		<?php echo $form->textField($model,'address',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'address'); ?>
	</div>
-->
	<div class="row">
		<?php echo $form->labelEx($model,'active'); ?>
		<?php echo $form->textField($model,'active'); ?>
		<?php echo $form->error($model,'active'); ?>
	</div>
        
        <div class="row">
             <?php echo $form->labelEx($model,'passsent'); ?>
             <?php echo $form->textField($model,'passsent'); ?>
             <?php echo $form->error($model,'passsent'); ?>
        </div>
	
        <div class="row">
		<?php echo $form->labelEx($model,'subscribed'); ?>
		<?php echo $form->textField($model,'subscribed'); ?>
		<?php echo $form->error($model,'subscribed'); ?>
	</div>           
        
	<div class="row">
		<?php echo $form->labelEx($model,'notes'); ?>
		<?php echo $form->textField($model,'notes'); ?>
		<?php echo $form->error($model,'notes'); ?>
	</div>
<!--
	<div class="row">
		<?php echo $form->labelEx($model,'VS'); ?>
		<?php echo $form->textField($model,'VS',array('size'=>45,'maxlength'=>45)); ?>
		<?php echo $form->error($model,'VS'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'secure_hash'); ?>
		<?php echo $form->textField($model,'secure_hash',array('size'=>45,'maxlength'=>32)); ?>
		<?php echo $form->error($model,'secure_hash'); ?>
	</div>
-->

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvoriť' : 'Uložiť'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->